#include <bits/stdc++.h>
#define MAXN 105
using namespace std;
typedef long long ll;

ll br[MAXN];
ll proizv[MAXN];

int main()
{
    ll t; cin>>t;
    while(t--){
        ll n; cin>>n;
        for(ll i=1; i<=n; i++){
            br[i]=i;
        }
        ll cnt=0;
        ll cifra=0;
        for(ll i=1; i<=n; i++){
            cifra=br[i]%10;
            br[i]/10;
        }
        for(ll i=1; i<=n; i++){
            proizv[i]*=cifra;
            cnt++;
        }
        cout<<cnt<<endl;
        }

    return 0;
}